cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ian Duffy <...@ianduffy.ie>
Subject Re: DB Upgrade from 4.0 to 4.4
Date Mon, 04 Aug 2014 00:53:01 GMT
Log over at: https://gist.github.com/imduffy15/f93c28a259f21569bec9


On 4 August 2014 01:39, Ian Duffy <ian@ianduffy.ie> wrote:

> Hi all,
>
> I'm attempting to use the simulator with the database prefilled as little
> as possible and all other sql scripts loaded in via the upgrade checker.
>
> I manually load in the following sql scripts:
>
> create-database.sql, create-database-premium.sql,
> create-database-simulator.sql, create-schema.sql,
> create-schema-premium.sql, create-schema-simulator.sql, templates.sql,
> templates.simulator.sql, hypervisor_capabilities.simulator.sql (in this
> specific order.)
>
> I then place the contents of setup/db/db into my working directory and
> launch the management server using
>
> java -Xmx512m -XX:MaxPermSize=512m -jar
> /vagrant/cloudstack/jetty-runner.jar --path /client
> /vagrant/cloudstack/cloud-client.war --lib /vagrant/cloudstack/lib
>
> (where /vagrant/cloudstack/lib contains a jar of the mysql-connector).
>
> The simulator starts coming up and starts doing the upgrade of the
> database but I get a bunch of foreign key constraint failures.
>
> Is there a sql script i'm forgetting to manually import?
>
> Thanks,
>
> Ian
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message